<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_e92ad742fc12ec" . "1dd5c30557fafca" . "331" => base64_decode("I" . "g" . "=" . "="), "_63fc7fd38817bf222bc4e3a" . "04e17f2c3" => base64_decode("Ii4gTWVzc2FnZT" . "ogIg=="), "_4d707fab9" . "3bebb00bbe" . "69e8159697" . "c90" => base64_decode(""), "_76b8f4f0c6d86cb" . "513c6a0c491de1e8" . "d" => base64_decode("VGV4dCBleHRyYWN0b3IgaXMgY29uZmlndXJlZCBidXQgdGhlIGNvbm5lY3Rpb24gY2hlY2sgZmFpbGVkIHN" . "vIGl0IHdpbGwgYmUgZGlzYWJsZWQuIE1lc3NhZ2U6ICI="), "_89317315bf1853e364463" . "5cf16af3b06" => base64_decode("VGV4dCBleHRyYWN0b3IgZXJyb3I" . "gZnJvbSBmaWxlICI="));
use Psr\Log\LoggerAwareInterface;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Vaites\ApacheTika;
class TextExtractorService implements LoggerAwareInterface
{
    use LoggerAwareTrait;
    protected ?ApacheTika\Client $tikaClient = null;
    protected ?bool $isWorking = null;
    public function __construct(?ApacheTika\Client $_7ea853d2916986a25d9e854d8839f86e = null, LoggerInterface $logger = null)
    {
        $this->setLogger($logger ?? new NullLogger());
        $this->tikaClient = $_7ea853d2916986a25d9e854d8839f86e;
    }
    
    
    
    
    
    public function getText(string $filename) : string
    {
        if ($this->tikaClient === null || !$this->isAvailable()) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4d707fab93bebb" . "00bbe69e8159697" . "c90"];
        }
        try {
            return $this->tikaClient->getText($filename);
        } catch (\Exception $e) {
            $this->logger->error($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_89317315bf1853e3644635cf1" . "6af3b06"] . $filename . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_63fc7fd38817bf222bc4e3a0" . "4e17f2c3"] . $e->getMessage() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_e92ad742fc12ec1" . "dd5c30557fafca33" . "1"]);
            $this->logger->debug($e);
            return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4d707fab93" . "bebb00bbe69" . "e8159697c90"];
        }
    }
    public function isAvailable() : bool
    {
        if ($this->isWorking === null) {
            $this->isWorking = false;
            if ($this->tikaClient !== null) {
                try {
                    $this->tikaClient->check();
                    $this->isWorking = true;
                } catch (\Exception $e) {
                    $this->logger->error($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_76b8f4f0c6d86c" . "b513c6a0c491de1" . "e8d"] . $e->getMessage() . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e92ad74" . "2fc12ec1" . "dd5c3055" . "7fafca33" . "1"]);
                    $this->logger->debug($e);
                }
            }
        }
        return $this->isWorking;
    }
}